# interface.choices

Choices of available network interfaces.

Type: object

##

Type: array
No Additional Items

#### Tuple Validation

##### Parameter 1: options

#### options

Type: object

Options for filtering interface choices.

No Additional Properties

##

#### Bridge Members

Type: boolean Default: false

Include BRIDGE members.

##

#### Lag Ports

Type: boolean Default: false

Include LINK_AGGREGATION ports.

##

#### Vlan Parent

Type: boolean Default: true

Include VLAN parent interface.

##

#### Exclude

Type: array Default: ["epair", "tap", "vnet"]

Prefixes of interfaces to exclude from the result.

No Additional Items

##### Each item of this array must be:

Type: object

##

#### Exclude Types

Type: array of enum (of string) Default: []

Types of interfaces to exclude from the result.

No Additional Items

##### Each item of this array must be:

Type: enum (of string)

##### Must be one of:

- "BRIDGE"
- "LINK_AGGREGATION"
- "PHYSICAL"
- "UNKNOWN"
- "VLAN"

##

#### Include

Type: array of string Default: []

Specific interfaces to include even if they would normally be excluded.

No Additional Items

##### Each item of this array must be:

Type: string

##

#### Result

Type: object

Names and descriptions of available network interfaces.

##

Each additional property must conform to the following schema

Type: string

Required roles: NETWORK_INTERFACE_READ